---
title: "Get Job Custom Field Values"
slug: "get-job-custom-field-values"
updated: 2026-01-06T19:11:43Z
published: 2026-01-06T19:11:46Z
canonical: "docs.validatar.com/get-job-custom-field-values"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.validatar.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get Job Custom Field Values
Get/api/v1/Authoring/projects/{projectId}/jobs/{jobId}/custom-fields
Returns a list of custom field values for a specified job
SecurityAPI Key: x-val-api-tokenHeader parameter namex-val-api-token
API key needed to access endpoints. Each Validatar user can manage their own set of API keys.
Path parametersprojectIdinteger (int32) Required
Id of the project of the job being searched for custom field values
jobIdinteger (int32) Required
Id of the job being searched for custom field values
Responses200
OK
Expand Allobject values Array of object (Configuration.Api.Models.v1.CustomFieldValue) | null
List of custom field values
object customFieldIdinteger (int32)
The ID of the custom field
namestring | null
The name of the custom field
valuestring | null
The value of the custom field
values Array of string | null
The list of values if the custom field contains more than one value
string
lastModifiedstring (date-time)
When the custom field was last modified
lastModifiedBystring | null
Who the custom field was last modified by
isCertifiedboolean
Whether the custom field value is certified
sourcestring | null
How the custom field value was populated
versionNumberinteger (int32)
Version number of the custom field value
400
Bad Request
object errorstring | null
401
Unauthorized
object errorstring | null
404
Not Found
object errorstring | null